Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.iapi
Interface Message

All Known Implementing Classes:
  MemBackedMessageImpl

    public interface Message

A representation of a WSDL-typed message. The implementation of this interface is provided by the integration layer.

Method Summary
`org.w3c.dom.Element` | `getHeaderPart(java.lang.String partName)` Get a header part.
`java.util.Map<java.lang.String,org.w3c.dom.Node>` | `getHeaderParts()` Gets all header parts in the message.
`org.w3c.dom.Element` | `getMessage()` Get the message as an element.
`org.w3c.dom.Element` | `getPart(java.lang.String partName)` Get a message part.
`java.util.List<java.lang.String>` | `getParts()`
`javax.xml.namespace.QName` | `getType()` Get the message type.
`void` | `setHeaderPart(java.lang.String name, org.w3c.dom.Element content)` Set a header part element.
`void` | `setHeaderPart(java.lang.String name, java.lang.String content)` Set a header part value
`void` | `setMessage(org.w3c.dom.Element msg)` Set the message as an element.
`void` | `setPart(java.lang.String partName, org.w3c.dom.Element content)` Set the message part.

Method Detail

### getType

    javax.xml.namespace.QName getType()

  Get the message type.

  Returns:
    message type.

### getParts

    java.util.List<java.lang.String> getParts()

### getPart

    org.w3c.dom.Element getPart(java.lang.String partName)

  Get a message part.

  Parameters:
    `partName` - name of the part
  Returns:
    named {@l

### setPart

    void setPart(java.lang.String partName,
                 org.w3c.dom.Element content)

  Set the message part.

  Parameters:
    `partName` - name of part
    `content` - part content

### getHeaderPart

    org.w3c.dom.Element getHeaderPart(java.lang.String partName)

  Get a header part.

  Parameters:
    `partName` - name of the header part
  Returns:
    named

### setHeaderPart

    void setHeaderPart(java.lang.String name,
                       org.w3c.dom.Element content)

  Set a header part element.

  Parameters:
    `name` - header part name
    `content` - header part element

### setHeaderPart

    void setHeaderPart(java.lang.String name,
                       java.lang.String content)

  Set a header part value

  Parameters:
    `name` - header part name
    `content` - header part text content

### getHeaderParts

    java.util.Map<java.lang.String,org.w3c.dom.Node> getHeaderParts()

  Gets all header parts in the message.

  Returns:

### setMessage

    void setMessage(org.w3c.dom.Element msg)

  Set the message as an element. The name of the element is irrelevant, but it should have one child element for each message part. TODO: remove this, temporary hack.

### getMessage

    org.w3c.dom.Element getMessage()

  Get the message as an element. The returned element will have one child element corresponding (and named after) each part in the message. TODO: remove this, temporary hack.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD